import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import VModal from 'vue-js-modal'
import vuetify from './plugins/vuetify'
import 'vue-js-modal/dist/styles.css'
import '@mdi/font/css/materialdesignicons.css'

Vue.config.productionTip = false
Vue.config.devtools = process.env.NODE_ENV === 'development' // 启用 DevTools

Vue.use(VModal, { dialog: true, dialogComponentName: 'VueDialog' })
new Vue({
  router,
  store,
  vuetify,
  render: h => h(App)
}).$mount('#app')
